Welcome to SimpleLink™ Wi-Fi® Hostless mode Scripter
==========================

SimpleLink™ Wi-Fi® CC3135 & CC3235S/SF incorporates a scripting ability, enabling to offload simple tasks from the host processor. 
Using simple and conditional scripts, repetitive tasks can be handled internally, allowing the host processor to remain in low power state. 

The Hostless mode Scripter utility provides an easy to use graphical user interface for generation of the conditional scripts to be utilized by the SimpleLink Wi-Fi device.

Basic steps for running the app are listed below.

### Create rule for first time
* Select Device Type
**Note:** There are diffrent pin out per device
* Click on **"ADD"** button 
* Select **"Primary Condition"** from dropdown list.
    * Fill / Select required fields
    * **Note:** For each primary condition is diffrent set of Actions
* Select **"Sub Condition"** from dropdown list.
    * Fill / Select required fields
* Select **"Actions"** from dropdown list.
    * Fill / Select required fields
* Click on **"SAVE"** button 

### Create rule dependet on prvious rule 
* Select rule from **"Rules List"**
* Click on **"ADD"** button 
* In case app detect privious **"Actions"** that releated to specific **"Primary Conditin"** it will select it automaticlly include fields inside.
* Select **"Sub Condition"** from dropdown list.
    * Fill / Select required fields
* Select **"Actions"** from dropdown list.
    * Fill / Select required fields
* Click on **"SAVE"** button 

### Update rule
* Select rule from **"Rules List"**
* Click on **"EDIT"** button
* Update required fields
* Click on **"UPDATE"** button

### Generate TLV File ( T - Type , L - Lenght, V - Value )
* Create any rule list as reuired 
* Click on **"GENERATE TLV"**
* App will automaticlly generate **naptlv.bin** and save it to your "Download" folder

**Note:** Changing output binary name may cause to feature not to work.

### Using generated TLV
* Download and install Uniflash http://processors.wiki.ti.com/index.php/Category:CCS_UniFlash
* Create new project 
* Go to **"Files"** > **"User Files"** section in "Advanced"
* Create **"sys"** folder and add **"naptlv.bin"** into it
* Flash device in **"Burn"** > **"Program Image"**


